## r-cran-hdf5r 1.3.3+dfsg

=== DESCRIPTION ===
Package: hdf5r
Type: Package
Title: Interface to the 'HDF5' Binary Data Format
Version: 1.3.3
Authors@R: c(
    person("Holger", "Hoefling", email = "hhoeflin@gmail.com", role = c("aut", "cre")),
    person("Mario", "Annau", email = "mario.annau@gmail.com", role = "aut"),
    person("Novartis Institute for BioMedical Research (NIBR)", role = "cph")
    )
Description: 'HDF5' is a data model, library and file format for storing 
    and managing large amounts of data. This package provides a nearly
    feature complete, object oriented  wrapper for the 'HDF5' API
    <https://support.hdfgroup.org/HDF5/doc/RM/RM_H5Front.html> using R6 classes. 
    Additionally, functionality is added so that 'HDF5' objects behave very 
    similar to their corresponding R counterparts.
URL: https://hhoeflin.github.io/hdf5r/,
        https://github.com/hhoeflin/hdf5r
BugReports: https://github.com/hhoeflin/hdf5r/issues
License: Apache License 2.0 | file LICENSE
Copyright: For the hdf5r package: Novartis Institute for BioMedical
        Research Inc. For HDF5: see the HDF5_COPYRIGHTS file.
LazyLoad: true
Depends: R (>= 3.2.2), methods
Imports: R6, bit64, utils
Suggests: testthat, knitr, rmarkdown, nycflights13, reshape2, formatR,
SystemRequirements: HDF5 (>= 1.8.13)
VignetteBuilder: knitr
NeedsCompilation: yes
RoxygenNote: 6.1.1.9000
Collate: 'Common_functions.R' 'Compound.R' 'H5constants.R'
        'Helper_functions.R' 'Misc.R' 'R6Classes.R' 'R6Classes_H5A.R'
        'R6Classes_H5D.R' 'R6Classes_H5File.R' 'R6Classes_H5Group.R'
        'R6Classes_H5P.R' 'R6Classes_H5R.R' 'R6Classes_H5S.R'
        'R6Classes_H5T.R' 'adapt_during_onLoad.R' 'convert.R'
        'factor_ext.R' 'globalVariables.R' 'h5errorHandling.R'
        'h5wrapper.R' 'hdf5r.R' 'high_level_UI.R' 'open_objs.R' 'zzz.R'
Packaged: 2020-08-17 17:13:19 UTC; hhoeflin
Author: Holger Hoefling [aut, cre],
  Mario Annau [aut],
  Novartis Institute for BioMedical Research (NIBR) [cph]
Maintainer: Holger Hoefling <hhoeflin@gmail.com>
Repository: CRAN
Date/Publication: 2020-08-18 07:02:27 UTC

=== debian/changelog ===
r-cran-hdf5r (1.3.3+dfsg-5) unstable; urgency=high

  * Team upload.
  * Another test exclusion for i386 is needed

 -- Andreas Tille <tille@debian.org>  Thu, 11 Feb 2021 08:18:26 +0100

r-cran-hdf5r (1.3.3+dfsg-4) unstable; urgency=high

  * Team upload.
  * Remove more tests for i386 and armhf

 -- Andreas Tille <tille@debian.org>  Wed, 10 Feb 2021 10:01:11 +0100

r-cran-hdf5r (1.3.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Exclude tests that are not working on all architectures
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Feb 2021 15:52:28 +0100

r-cran-hdf5r (1.3.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * DEP3
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Sun, 20 Sep 2020 09:12:06 +0200

r-cran-hdf5r (1.3.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #970300)

 -- Steffen Moeller <moeller@debian.org>  Mon, 14 Sep 2020 14:42:35 +0200

=== debian/control ===
Source: r-cran-hdf5r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
# Testsuite: autopkgtest-pkg-r # We need exceptions specified in run-unit-test so do not run automatically
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-r6,
               r-cran-bit64,
               libhdf5-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r.git
Homepage: https://cran.r-project.org/package=hdf5r
Rules-Requires-Root: no

Package: r-cran-hdf5r
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to the 'HDF5' binary data format
 'HDF5' is a data model, library and file format for storing
 and managing large amounts of data. This package provides a nearly
 feature complete, object oriented  wrapper for the 'HDF5' API
 <https://support.hdfgroup.org/HDF5/doc/RM/RM_H5Front.html> using R6 classes.
 Additionally, functionality is added so that 'HDF5' objects behave very
 similar to their corresponding R counterparts.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/Wrapper_auto_*
	rm -f src/const_export.c src/const_export.h src/datatype_export.c src/datatype_export.h src/export_auto.h
	rm -f config.log config.status src/HelperStructs.h src/Makevars

override_dh_install:
	dh_install
	find debian -name m4 -type d | xargs rm -rf

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.txt" -o -name "*.R" -o -name "*.h" -o -name "*.csv" -o -name "*.brew" -o -name "*.Rmd" -o -name README \) -exec chmod -x \{\} \;

## r-cran-hdf5r 1.3.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Package: hdf5r
 Type: Package
 Title: Interface to the 'HDF5' Binary Data Format
-Version: 1.3.3
+Version: 1.3.5
 Authors@R: c(
     person("Holger", "Hoefling", email = "hhoeflin@gmail.com", role = c("aut", "cre")),
     person("Mario", "Annau", email = "mario.annau@gmail.com", role = "aut"),
     person("Novartis Institute for BioMedical Research (NIBR)", role = "cph")
     )
-Description: 'HDF5' is a data model, library and file format for storing 
+Description: 'HDF5' is a data model, library and file format for storing
     and managing large amounts of data. This package provides a nearly
     feature complete, object oriented  wrapper for the 'HDF5' API
-    <https://support.hdfgroup.org/HDF5/doc/RM/RM_H5Front.html> using R6 classes. 
-    Additionally, functionality is added so that 'HDF5' objects behave very 
+    <https://support.hdfgroup.org/HDF5/doc/RM/RM_H5Front.html> using R6 classes.
+    Additionally, functionality is added so that 'HDF5' objects behave very
     similar to their corresponding R counterparts.
 URL: https://hhoeflin.github.io/hdf5r/,
-        https://github.com/hhoeflin/hdf5r
+        https://github.com/hhoeflin/hdf5r/
 BugReports: https://github.com/hhoeflin/hdf5r/issues
 License: Apache License 2.0 | file LICENSE
 Copyright: For the hdf5r package: Novartis Institute for BioMedical
@@ -34,10 +34,10 @@
         'R6Classes_H5T.R' 'adapt_during_onLoad.R' 'convert.R'
         'factor_ext.R' 'globalVariables.R' 'h5errorHandling.R'
         'h5wrapper.R' 'hdf5r.R' 'high_level_UI.R' 'open_objs.R' 'zzz.R'
-Packaged: 2020-08-17 17:13:19 UTC; hhoeflin
+Packaged: 2021-11-15 19:13:34 UTC; hhoeflin
 Author: Holger Hoefling [aut, cre],
   Mario Annau [aut],
   Novartis Institute for BioMedical Research (NIBR) [cph]
 Maintainer: Holger Hoefling <hhoeflin@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-08-18 07:02:27 UTC
+Date/Publication: 2021-11-15 20:10:02 UTC

=== debian/changelog ===
r-cran-hdf5r (1.3.5+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New Upstream version

 -- Nilesh Patra <nilesh@debian.org>  Mon, 20 Sep 2021 17:21:15 +0200

r-cran-hdf5r (1.3.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Enable Testsuite: autopkgtest-pkg-r by providing hook

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 12:37:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
-# Testsuite: autopkgtest-pkg-r # We need exceptions specified in run-unit-test so do not run automatically
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -10,7 +10,7 @@
                r-cran-r6,
                r-cran-bit64,
                libhdf5-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r.git
 Homepage: https://cran.r-project.org/package=hdf5r

## r-cran-hdf5r 1.3.7+dfsg

=== debian/changelog ===
r-cran-hdf5r (1.3.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:52:58 +0200

r-cran-hdf5r (1.3.6+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

  [ Nilesh Patra ]
  * debian/p/fix-hdf.patch: Do not add a enum before H5R_type_t since
    the definition has changed in new hdf5 version (Closes: #1020049)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 23 Sep 2022 18:08:35 +0530

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-hdf5r
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r.git
+Homepage: https://cran.r-project.org/package=hdf5r
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-r6,
                r-cran-bit64,
                libhdf5-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r.git
-Homepage: https://cran.r-project.org/package=hdf5r
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-hdf5r
 Architecture: any

## r-cran-hdf5r 1.3.8+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hdf5r
 Type: Package
 Title: Interface to the 'HDF5' Binary Data Format
-Version: 1.3.5
+Version: 1.3.8
 Authors@R: c(
     person("Holger", "Hoefling", email = "hhoeflin@gmail.com", role = c("aut", "cre")),
     person("Mario", "Annau", email = "mario.annau@gmail.com", role = "aut"),
@@ -34,10 +34,10 @@
         'R6Classes_H5T.R' 'adapt_during_onLoad.R' 'convert.R'
         'factor_ext.R' 'globalVariables.R' 'h5errorHandling.R'
         'h5wrapper.R' 'hdf5r.R' 'high_level_UI.R' 'open_objs.R' 'zzz.R'
-Packaged: 2021-11-15 19:13:34 UTC; hhoeflin
+Packaged: 2023-01-21 15:37:55 UTC; hhoeflin
 Author: Holger Hoefling [aut, cre],
   Mario Annau [aut],
   Novartis Institute for BioMedical Research (NIBR) [cph]
 Maintainer: Holger Hoefling <hhoeflin@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-11-15 20:10:02 UTC
+Date/Publication: 2023-01-21 16:10:02 UTC

=== debian/changelog ===
r-cran-hdf5r (1.3.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2023 15:23:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r.git
 Homepage: https://cran.r-project.org/package=hdf5r
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-hdf5r 1.3.9+dfsg

=== debian/changelog ===
r-cran-hdf5r (1.3.9+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:25:55 +1100

r-cran-hdf5r (1.3.9+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:04:58 +0000

r-cran-hdf5r (1.3.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 13:24:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-cran-hdf5r
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r.git

## r-cran-hdf5r 1.3.11+dfsg

=== debian/changelog ===
r-cran-hdf5r (1.3.11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * New upstream version
  * Remove debian/patches/hdf5_1.14.patch

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Sep 2024 10:44:25 +0900

r-cran-hdf5r (1.3.9+dfsg-2) unstable; urgency=medium

  * Team upload
  * Building against HDF5 1.14.4.3, thanks to Gilles Filippini
    (Closes: #1078921)
  * Raising Standards version to 4.7.0 (no change)

 -- Pierre Gruet <pgt@debian.org>  Thu, 22 Aug 2024 14:59:24 +0200

## r-cran-hdf5r 1.3.12+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hdf5r
 Type: Package
 Title: Interface to the 'HDF5' Binary Data Format
-Version: 1.3.8
+Version: 1.3.12
 Authors@R: c(
     person("Holger", "Hoefling", email = "hhoeflin@gmail.com", role = c("aut", "cre")),
     person("Mario", "Annau", email = "mario.annau@gmail.com", role = "aut"),
@@ -10,7 +10,7 @@
 Description: 'HDF5' is a data model, library and file format for storing
     and managing large amounts of data. This package provides a nearly
     feature complete, object oriented  wrapper for the 'HDF5' API
-    <https://support.hdfgroup.org/HDF5/doc/RM/RM_H5Front.html> using R6 classes.
+    <https://support.hdfgroup.org/documentation/hdf5/latest/_r_m.html> using R6 classes.
     Additionally, functionality is added so that 'HDF5' objects behave very
     similar to their corresponding R counterparts.
 URL: https://hhoeflin.github.io/hdf5r/,
@@ -34,10 +34,10 @@
         'R6Classes_H5T.R' 'adapt_during_onLoad.R' 'convert.R'
         'factor_ext.R' 'globalVariables.R' 'h5errorHandling.R'
         'h5wrapper.R' 'hdf5r.R' 'high_level_UI.R' 'open_objs.R' 'zzz.R'
-Packaged: 2023-01-21 15:37:55 UTC; hhoeflin
+Packaged: 2025-01-19 16:02:58 UTC; hhoeflin
 Author: Holger Hoefling [aut, cre],
   Mario Annau [aut],
   Novartis Institute for BioMedical Research (NIBR) [cph]
 Maintainer: Holger Hoefling <hhoeflin@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-01-21 16:10:02 UTC
+Date/Publication: 2025-01-20 11:00:05 UTC

=== debian/changelog ===
r-cran-hdf5r (1.3.12+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Warn that this may be buggy on 32-bit systems
    and skip autopkgtest on armel. (Closes: #1104158)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 28 Apr 2025 19:17:21 +0100

r-cran-hdf5r (1.3.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 08:27:50 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-hdf5r
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hdf5r.git
 Homepage: https://cran.r-project.org/package=hdf5r
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-reshape2,
        r-cran-formatr
Restrictions: allow-stderr, skippable

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/hdf5r_([-\d.]*)\.tar\.gz
